- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Portable_Server::IdAssignmentPolicy Class Reference

`#include <IdAssignmentPolicy.h>`

Inheritance diagram for TAO::Portable_Server::IdAssignmentPolicy:

[legend]
Collaboration diagram for TAO::Portable_Server::IdAssignmentPolicy:

[legend]
List of all members.

## Public Member Functions
| IdAssignmentPolicy (::PortableServer::IdAssignmentPolicyValue value)
CORBA::Policy_ptr | copy () throw (CORBA::SystemException)
void | destroy () throw (CORBA::SystemException)
::PortableServer::IdAssignmentPolicyValue | value () throw (CORBA::SystemException)
CORBA::PolicyType | policy_type () throw (CORBA::SystemException)
virtual TAO_Cached_Policy_Type | _tao_cached_type (void) const
| Return the cached policy type for this policy.
virtual TAO_Policy_Scope | _tao_scope (void) const
| Returns the scope at which this policy can be applied. See orbconf.h.
## Private Attributes
::PortableServer::IdAssignmentPolicyValue | value_

## Constructor & Destructor Documentation

TAO::Portable_Server::IdAssignmentPolicy::IdAssignmentPolicy | ( | ::PortableServer::IdAssignmentPolicyValue | value | ) |

## Member Function Documentation

TAO_Cached_Policy_Type TAO::Portable_Server::IdAssignmentPolicy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

Return the cached policy type for this policy.

Reimplemented from CORBA::Policy.

TAO_Policy_Scope TAO::Portable_Server::IdAssignmentPolicy::_tao_scope | ( | void |  | ) | const`[virtual]`

Returns the scope at which this policy can be applied. See orbconf.h.

Reimplemented from CORBA::Policy.

CORBA::Policy_ptr TAO::Portable_Server::IdAssignmentPolicy::copy | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements PortableServer::IdAssignmentPolicy.

void TAO::Portable_Server::IdAssignmentPolicy::destroy | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements PortableServer::IdAssignmentPolicy.

CORBA::PolicyType TAO::Portable_Server::IdAssignmentPolicy::policy_type | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Reimplemented from CORBA::Policy.

PortableServer::IdAssignmentPolicyValue TAO::Portable_Server::IdAssignmentPolicy::value | ( |  | ) | throw (CORBA::SystemException)`[virtual]`

Implements PortableServer::IdAssignmentPolicy.

## Member Data Documentation

::PortableServer::IdAssignmentPolicyValue TAO::Portable_Server::IdAssignmentPolicy::value_`[private]`

The documentation for this class was generated from the following files:

- IdAssignmentPolicy.h
- IdAssignmentPolicy.cpp